# flet_sqlite3

Приложение для учета партнеров и расчета скидок с использованием Flet и SQLite3.

## Описание

Данное приложение позволяет вести учет партнеров, продуктов и продаж. Основные функции:

- Управление типами продуктов
- Управление типами материалов
- Управление партнерами
- Управление продуктами
- Учет продаж продуктов партнерами
- Автоматический расчет скидок для партнеров на основе объема продаж

## Установка

```bash
pip install flet_sqlite3
```

## Использование

```python
from flet_sqlite3 import main

if __name__ == "__main__":
    main.main(main.ft.app(target=main.main))
```

## Расчет скидок

Скидка для партнера рассчитывается на основании продажи продукции за весь период работы:

- до 10000 – 0%
- от 10000 до 50000 – 5%
- от 50000 до 300000 – 10%
- более 300000 – 15%

## Требования

- Python 3.6+
- Flet
- SQLite3
- openpyxl

## Тестирование

Для запуска тестов используйте:

```bash
python -m unittest discover
``` 